.header {
  position: sticky; /* controlamos todo el header */
  top: 0;
  left: 0;
  width: 100%;
  background-color: var(--color-bg);
  box-shadow: 0 2px 4px rgba(0,0,0,0.1);
  transition: transform 0.3s ease;
  z-index: 1000;
}

/* Nav dentro del header */
.navbar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;

  background: var(--color-primary);
  color: var(--color-text-inverse);
  display: grid;
  grid-template-columns:  1fr 2fr 1fr;
  padding: 1rem 2rem;

  box-sizing: border-box;

  z-index: 1000;
}

/* Grid interno */
.navbar__a { 
  justify-self: start;  
}

.navbar__b { 
  justify-self: center; 
}

.navbar__b--search {
  display: flex;
  width: 100%;
  max-width: 100%;
  background: var(--color-surface);
  border: 1px solid #ffffff;
  border-radius: 20px;
  overflow: hidden; /* para que input y botón se vean pegados */
}

.navbar__b--search input {
  background: transparent;
  color: var(--color-text);
  flex: 1; /* ocupa todo el espacio */
  border: none;
  padding: 0.5rem 1rem;
  font-size: 1rem;
  outline: none;
}

.navbar__b--search button {
  background: var(--color-surface);
  color: var(--color-primary);
  border: none;
  padding: 0 1rem;
  cursor: pointer;
  font-size: 1.2rem;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
}

.navbar__c { 
  justify-self: end; 
}

.navbar__a,
.navbar__c {
  display: flex;
  align-items: center;
  gap: 2rem;
  /* border: 2px solid red; */
}

.navbar__link {
  display: flex;
  align-items: center;
  text-decoration: none;
  color: var(--color-text-inverse);
  white-space: nowrap;
  border-style: solid;
  border-color: var(--color-primary);
  /* border: 2px solid yellow; */
}

.navbar__link:hover {
  border-color: var(--color-bg);
}

/* Iconos */
.navbar__icon {
  width: 30px;
  height: 30px;
  object-fit: contain;
  /* color: red; */
}
.navbar__logo {
  width: 150px;
  height: 30px;
  object-fit: contain;
  color: #fff;
}

/* por defecto */
.navbar__icon--mobile {
  display: none;
}


/* ======== MEDIA QUERY: MÓVIL ======== */
@media (max-width: 768px) {
  .navbar {
    grid-template-columns: 2fr 4fr 2fr;
    padding: 1rem 0.5rem;
  }
  .navbar__a,
  .navbar__c {
    gap: 0.5rem;
  }

  .navbar__b {
    width: 190px;
    max-width: 190px; /* ocupa todo el espacio posible */
  }
  .navbar__b--search input {
    width: 80%;
    max-width: 80%; /* ocupa todo el espacio posible */
  }
  .navbar__b--search button {
    width: 20%;
    max-width: 20%; /* ocupa todo el espacio posible */
  }

  .navbar__logo {
    width: 120px;
  }
}

@media (max-width: 480px) {
  .navbar__b--search input {
    padding: 0.5rem 0.5rem;
  }
  .navbar__b {
    width: 110px;
    max-width: 110px; /* ocupa todo el espacio posible */
  }
  .navbar__a,
  .navbar__c {
    gap: 0.1rem;
  }
  .navbar__logo {
    width: 110px;
  }
}